# Uses of Class
com.logicaldoc.core.security.AccessControlEntry

Packages that use AccessControlEntry
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.metadata
Package that collects the template and attribute sets definitions.
Many objects of the LogicalDOC platform are extensible and can store your custom metadata, they are all those that extends the `ExtensibleObject`.
com.logicaldoc.core.security
Container of the security-related interfaces and classes
com.logicaldoc.core.security.menu
Package for the Menu, a menu represent a graphical element of the user interface

## Uses of AccessControlEntry in com.logicaldoc.core.document

Subclasses of AccessControlEntry in com.logicaldoc.core.document
Modifier and Type
Class
Description
`class`
`DocumentAccessControlEntry`
Represents all the permissions granted to a group against a business object
`class`
`FolderAccessControlEntry`
Represents all the permissions granted to a group against a business object
`class`
`NoteAccessControlEntry`
Class for permissions of `DocumentNote`
Methods in com.logicaldoc.core.document that return AccessControlEntry
Modifier and Type
Method
Description
`AccessControlEntry`
NoteAccessControlEntry.`getAce()`
Methods in com.logicaldoc.core.document with parameters of type AccessControlEntry
Modifier and Type
Method
Description
`void`
NoteAccessControlEntry.`setAce(AccessControlEntry ace)`
Constructors in com.logicaldoc.core.document with parameters of type AccessControlEntry
Modifier
Constructor
Description
``
`NoteAccessControlEntry(AccessControlEntry source)`

## Uses of AccessControlEntry in com.logicaldoc.core.metadata

Methods in com.logicaldoc.core.metadata that return AccessControlEntry
Modifier and Type
Method
Description
`AccessControlEntry`
Template.`getAccessControlEntry(long groupId)`
Methods in com.logicaldoc.core.metadata that return types with arguments of type AccessControlEntry
Modifier and Type
Method
Description
`Set<AccessControlEntry>`
Template.`getAccessControlEntries(Set<Long> groupIds)`
`Set<AccessControlEntry>`
Template.`getAccessControlList()`
Methods in com.logicaldoc.core.metadata with parameters of type AccessControlEntry
Modifier and Type
Method
Description
`void`
Template.`addAccessControlEntry(AccessControlEntry ace)`
Method parameters in com.logicaldoc.core.metadata with type arguments of type AccessControlEntry
Modifier and Type
Method
Description
`void`
Template.`setAccessControlList(Set<AccessControlEntry> accessControlList)`

## Uses of AccessControlEntry in com.logicaldoc.core.security

Classes in com.logicaldoc.core.security with type parameters of type AccessControlEntry
Modifier and Type
Interface
Description
`interface`
`Secure<T extends AccessControlEntry>`
An object that implements this interface, supports an Access Control List to define security policies.
Subclasses of AccessControlEntry in com.logicaldoc.core.security
Modifier and Type
Class
Description
`class`
`ExtendedAccessControlEntry`
Class for grouping common permissions for `DocumentAccessControlEntry` and `FolderAccessControlEntry`
Methods in com.logicaldoc.core.security that return AccessControlEntry
Modifier and Type
Method
Description
`AccessControlEntry`
Secure.`getAccessControlEntry(long groupId)`
`AccessControlEntry`
ExtendedAccessControlEntry.`getAce()`
Methods in com.logicaldoc.core.security with parameters of type AccessControlEntry
Modifier and Type
Method
Description
`void`
ExtendedAccessControlEntry.`setAce(AccessControlEntry ace)`
Constructors in com.logicaldoc.core.security with parameters of type AccessControlEntry
Modifier
Constructor
Description
``
`AccessControlEntry(AccessControlEntry source)`

## Uses of AccessControlEntry in com.logicaldoc.core.security.menu

Methods in com.logicaldoc.core.security.menu that return AccessControlEntry
Modifier and Type
Method
Description
`AccessControlEntry`
Menu.`getAccessControlEntry(long groupId)`
Methods in com.logicaldoc.core.security.menu that return types with arguments of type AccessControlEntry
Modifier and Type
Method
Description
`Set<AccessControlEntry>`
Menu.`getAccessControlEntries(Set<Long> groupIds)`
`Set<AccessControlEntry>`
Menu.`getAccessControlList()`
Methods in com.logicaldoc.core.security.menu with parameters of type AccessControlEntry
Modifier and Type
Method
Description
`void`
Menu.`addAccessControlEntry(AccessControlEntry ace)`
Method parameters in com.logicaldoc.core.security.menu with type arguments of type AccessControlEntry
Modifier and Type
Method
Description
`void`
Menu.`setAccessControlList(Set<AccessControlEntry> acl)`